LIMACTL(1)

NAME
limactl-edit - Edit an instance of Lima or a template

SYNOPSIS
limactl edit INSTANCE|FILE.yaml [flags]

DESCRIPTION
Edit an instance of Lima or a template

OPTIONS
--cpus=0
    number of CPUs

--dns=[]
    specify custom DNS (disable host resolver)

-h, --help[=false]
    help for edit

--memory=0
    memory in GiB

--mount=[]
    directories to mount, suffix ':w' for writable (Do not specify directories that overlap with the existing mounts)

--mount-inotify[=false]
    enable inotify for mounts

--mount-type=""
    mount type (reverse-sshfs, 9p, virtiofs)

--mount-writable[=false]
    make all mounts writable

--network=[]
    additional networks, e.g., "vzNAT" or "lima:shared" to assign vmnet IP

--rosetta[=false]
    enable Rosetta (for vz instances)

--set=""
    modify the template inplace, using yq syntax

--video[=false]
    enable video output (has negative performance impact for QEMU)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

SEE ALSO
limactl(1)